
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>entity.workflow module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-entity.workflow">
<span id="entity-workflow-module"></span><h1>entity.workflow module<a class="headerlink" href="#module-entity.workflow" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="entity.workflow.Workflow">
<em class="property">class </em><code class="sig-prename descclassname">entity.workflow.</code><code class="sig-name descname">Workflow</code><a class="headerlink" href="#entity.workflow.Workflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="entity.html#entity.Entity" title="entity.Entity"><code class="xref py py-class docutils literal notranslate"><span class="pre">entity.Entity</span></code></a></p>
<dl class="method">
<dt id="entity.workflow.Workflow.initialize">
<em class="property">classmethod </em><code class="sig-name descname">initialize</code><span class="sig-paren">(</span><em class="sig-param">workflow_meta: dict</em>, <em class="sig-param">*</em>, <em class="sig-param">merging_strategy: str = '_'</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.initialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#entity.workflow.Workflow.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.add_dataset">
<code class="sig-name descname">add_dataset</code><span class="sig-paren">(</span><em class="sig-param">name: str</em>, <em class="sig-param">data_dictionary: list</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.add_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.remove_dataset">
<code class="sig-name descname">remove_dataset</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.remove_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.get_dataset_names">
<code class="sig-name descname">get_dataset_names</code><span class="sig-paren">(</span><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#entity.workflow.Workflow.get_dataset_names" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.get_dataset">
<code class="sig-name descname">get_dataset</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em><span class="sig-paren">)</span> &#x2192; str<a class="headerlink" href="#entity.workflow.Workflow.get_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.add_selected_dataset">
<code class="sig-name descname">add_selected_dataset</code><span class="sig-paren">(</span><em class="sig-param">name: str</em>, <em class="sig-param">data_dictionary: list</em>, <em class="sig-param">schema: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.add_selected_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.truncate_selected_dataset">
<code class="sig-name descname">truncate_selected_dataset</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.truncate_selected_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.add_parameter_definition">
<code class="sig-name descname">add_parameter_definition</code><span class="sig-paren">(</span><em class="sig-param">name: str</em>, <em class="sig-param">definition: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.add_parameter_definition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.add_rule">
<code class="sig-name descname">add_rule</code><span class="sig-paren">(</span><em class="sig-param">rule_definition: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.add_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.update_rule">
<code class="sig-name descname">update_rule</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em>, <em class="sig-param">rule_definition: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.update_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.delete_rule">
<code class="sig-name descname">delete_rule</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.delete_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.delete_rule_silently">
<code class="sig-name descname">delete_rule_silently</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.delete_rule_silently" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.lock">
<code class="sig-name descname">lock</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.lock" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.unlock">
<code class="sig-name descname">unlock</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.workflow.Workflow.unlock" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.workflow.Workflow.visualize">
<em class="property">property </em><code class="sig-name descname">visualize</code><a class="headerlink" href="#entity.workflow.Workflow.visualize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/entity.workflow.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>